Scicos Block
fr - eng

##
Constant (Old block)

### Contents

- Constant (Old block)
  - Description
  - Dialog box
  - Default properties
  - Interfacing function
  - Computational function

### Description

This block is a constant value generator.

### Dialog box

- Constant
  The constant value.
  Properties : Type 'vec' of size -1.

### Default properties

- always active: no
- direct-feedthrough: no
- zero-crossing: no
- mode: no
- regular outputs:
  - port 1 : size [1,1] / type 1
- number/sizes of activation inputs: 0
- number/sizes of activation outputs: 0
- continuous-time state: no
- discrete-time state: no
- object discrete-time state: no
- name of computational function: cstblk4

### Interfacing function

- SCI/macros/scicos_blocks/Sources/CONST.sci [view code]

### Computational function

- SCI/routines/scicos/cstblk4.c (Type 4) [view code]